# QStyleOptionHeader Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionHeader()
- void QStyleOptionHeader(QStyleOptionHeader other)

### Constructor Properties

- prototype: The QStyleOptionHeader prototype object
- Version = 1
- StyleOptionVersion( value )
- Beginning
- Middle
- End
- OnlyOneSection
- SectionPosition( value )
- NotAdjacent
- NextIsSelected
- PreviousIsSelected
- NextAndPreviousAreSelected
- SelectedPosition( value )
- Type = SO_Header
- StyleOptionType( value )
- None
- SortUp
- SortDown
- SortIndicator( value )

### Instance Properties

QStyleOptionHeader objects have no special properties beyond those inherited from the QStyleOptionHeader prototype object.